import os
import logging

logging.basicConfig(level=logging.INFO,
                    format='%(asctime)s %(filename)s[line:%(lineno)d] %(levelname)s %(message)s',
                    datefmt='%a, %d %b %Y %H:%M:%S')

# gateway-alb-ecs组-生产环境
# server_group_id_list = ["sgp-l2k0p33e470vfmj538"]

# alb后端服务器_调试使用组
server_group_id_list = ["sgp-ec4gopoclruofsfmxu"]

apps = 'piaoquan-gateway'
repository = 'registry-vpc.cn-hangzhou.aliyuncs.com/stuuudy/{}'
registry = 'registry-vpc.cn-hangzhou.aliyuncs.com/stuuudy/{}:{}'

# 后端服务器使用的端口
port = "9000"

# 修改负载均衡权限
alb_client_params = {
    'access_key_id': 'LTAI5tASD5yEZLeC8ffmNebY',
    'access_key_secret': '1PtsFRdp8viJmI78lEhNZR8MezWZBq',
    'endpoint': 'alb-vpc.cn-hangzhou.aliyuncs.com',
    'region_id': 'cn-hangzhou'
}
# 购买机器权限
ecs_client_params = {
    'access_key_id': 'LTAI4GBWbFvvXoXsSVBe1o9f',
    'access_key_secret': 'kRAikWitb4kDxaAyBqNrmLmllMEDO3',
    'region_id': 'cn-hangzhou'
}

docker_config = {
    'username': 'stuuudys',
    'password': 'Qingqu@2019',
    'registry': 'registry-vpc.cn-hangzhou.aliyuncs.com'
}
# 机器配置
instance_config = {
    # 使用的镜像信息
    'image_id': 'm-bp12bkuvg20k6ueqmb4v',
    # 设置实例规格
    'instance_type': 'ecs.c6.2xlarge',
    # 选择的交换机
    'vswitch_id': 'vsw-bp19lpjwtc6j0p0m9mdc2',
    # 当前VPC类型的安全组
    'security_group_id': 'sg-bp1irhrkr4vfj272hk4y',
    # 硬盘的大小，单位：G
    'disk_size': '200',
    # 服务器命名
    'instance_name': 'ESS-vlogapi-[1,2]',
    # 服务器所在区域
    'zone_id': 'cn-hangzhou-h',
    # 磁盘类型：云盘
    'disk_category': 'cloud_efficiency',
    # 密钥
    'key_pair_name': 'stuuudy',
    # tag
    'tags': [{"Key": "ecs", "Value": "longvideoapi.prod"}]
}

# 机器配置_hangzhou_i
instance_config_i = {
    # 使用的镜像信息
    'image_id': 'm-bp12bkuvg20k6ueqmb4v',
    # 设置实例规格
    'instance_type': 'ecs.c6.2xlarge',
    # 选择的交换机
    'vswitch_id': 'vsw-bp17c002ovyomzwnhhdhj',
    # 当前VPC类型的安全组
    'security_group_id': 'sg-bp1irhrkr4vfj272hk4y',
    # 硬盘的大小，单位：G
    'disk_size': '200',
    # 服务器命名
    'instance_name': 'ESS-vlogapi-[1,2]',
    # 服务器所在区域
    'zone_id': 'cn-hangzhou-i',
    # 磁盘类型：云盘
    'disk_category': 'cloud_efficiency',
    # 密钥
    'key_pair_name': 'stuuudy',
    # tag
    'tags': [{"Key": "ecs", "Value": "longvideoapi.prod"}]
}

# 机器配置_hangzhou_g
instance_config_g = {
    # 使用的镜像信息
    'image_id': 'm-bp12bkuvg20k6ueqmb4v',
    # 设置实例规格
    'instance_type': 'ecs.c6.2xlarge',
    # 选择的交换机
    'vswitch_id': 'vsw-bp10m69sb9ydfa64jdrn3',
    # 当前VPC类型的安全组
    'security_group_id': 'sg-bp1irhrkr4vfj272hk4y',
    # 硬盘的大小，单位：G
    'disk_size': '200',
    # 服务器命名
    'instance_name': 'ESS-vlogapi-[1,2]',
    # 服务器所在区域
    'zone_id': 'cn-hangzhou-g',
    # 磁盘类型：云盘
    'disk_category': 'cloud_efficiency',
    # 密钥
    'key_pair_name': 'stuuudy',
    # tag
    'tags': [{"Key": "ecs", "Value": "longvideoapi.prod"}]
}

# 机器配置_hangzhou_j
instance_config_j = {
    # 使用的镜像信息
    'image_id': 'm-bp12bkuvg20k6ueqmb4v',
    # 设置实例规格
    'instance_type': 'ecs.c6.2xlarge',
    # 选择的交换机
    'vswitch_id': 'vsw-bp1ssuwxyrt0p17ceeir0',
    # 当前VPC类型的安全组
    'security_group_id': 'sg-bp1irhrkr4vfj272hk4y',
    # 硬盘的大小，单位：G
    'disk_size': '200',
    # 服务器命名
    'instance_name': 'ESS-vlogapi-[1,2]',
    # 服务器所在区域
    'zone_id': 'cn-hangzhou-j',
    # 磁盘类型：云盘
    'disk_category': 'cloud_efficiency',
    # 密钥
    'key_pair_name': 'stuuudy',
    # tag
    'tags': [{"Key": "ecs", "Value": "longvideoapi.prod"}]
}

# 机器配置_hangzhou_k
instance_config_k = {
    # 使用的镜像信息
    'image_id': 'm-bp12bkuvg20k6ueqmb4v',
    # 设置实例规格
    'instance_type': 'ecs.c6.2xlarge',
    # 选择的交换机
    'vswitch_id': 'vsw-bp14e4xu6uzte9nyn6nvr',
    # 当前VPC类型的安全组
    'security_group_id': 'sg-bp1irhrkr4vfj272hk4y',
    # 硬盘的大小，单位：G
    'disk_size': '200',
    # 服务器命名
    'instance_name': 'ESS-longvideoapi-alb-[1,2]',
    # 服务器所在区域
    'zone_id': 'cn-hangzhou-k',
    # 磁盘类型：云盘
    'disk_category': 'cloud_efficiency',
    # 密钥
    'key_pair_name': 'stuuudy',
    # tag
    'tags': [{"Key": "ecs", "Value": "longvideoapi.prod"}]
}

# 机器配置_hangzhou_k alb
instance_config_k_alb = {
    # 使用的镜像信息
    'image_id': 'm-bp12bkuvg20k6ueqmb4v',
    # 设置实例规格
    'instance_type': 'ecs.c6.2xlarge',
    # 选择的交换机
    'vswitch_id': 'vsw-bp14e4xu6uzte9nyn6nvr',
    # 当前VPC类型的安全组
    'security_group_id': 'sg-bp1irhrkr4vfj272hk4y',
    # 硬盘的大小，单位：G
    'disk_size': '200',
    # 服务器命名
    'instance_name': 'ESS-vlogapi-alb-[1,2]',
    # 服务器所在区域
    'zone_id': 'cn-hangzhou-k',
    # 磁盘类型：云盘
    'disk_category': 'cloud_efficiency',
    # 密钥
    'key_pair_name': 'stuuudy',
    # tag
    'tags': [{"Key": "ecs", "Value": "longvideoapi.prod"}]
}




